#
# spec file for package amtu (Version 1.0.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit audit-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           amtu
URL:            http://www-124.ibm.com/developerworks/projects/amtu
License:        Other License(s), see package
Group:          Productivity/Security
Requires:       audit >= 1.2.9
Autoreqprov:    on
Version:        1.0.4
Release:        0.6
Summary:        Abstract Machine Test Utility
Source:         %{name}-%{version}.tar.gz
#Patch0:       %{name}-%{version}-ia64.patch
#Patch1:       %{name}-%{version}-memsep.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  audit audit-devel audit-libs

%description
Abstract Machine Test Utility (AMTU) is an administrative utility to
check whether the underlying protection mechanism of the hardware is
still being enforced. This is a requirement of the Controlled Access
Protection Profile (CAPP) FTP_AMT.1. See
http://www.radium.csc.mil/tpep/library/protection_profiles/CAPP-1.d.pdf
.



Authors:
--------
    IBM
    Unknown

%debug_package
%prep
%setup amtu
#%patch0 -p1
#%patch1 -p1

%build
%{?suse_update_config:%{suse_update_config -f support}}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall -pipe"
    CC=gcc
export CC CFLAGS
  #autoheader || true
  #autoreconf --install
  bash ./bootstrap
  ./configure                           \
	--prefix=/usr			\
	--bindir=/usr/sbin		\
	--mandir=%{_mandir}		
  make
%{?suse_update_config:%{suse_update_config -f support}}

%install
#  rm -rf %{_defaultdocdir}/amtu
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/amtu
make DESTDIR=$RPM_BUILD_ROOT install-strip
install -m 644 doc/AMTUHowTo.txt $RPM_BUILD_ROOT/%{_defaultdocdir}/amtu/AMTUHowTo.txt
install -m 644 doc/amtu.8    $RPM_BUILD_ROOT/%{_mandir}/man8/amtu.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(700,root,root)/usr/sbin/amtu
%attr(444,root,root) %{_mandir}/man8/amtu.8*
%attr(755,root,root) %{_defaultdocdir}/amtu
%attr(444,root,root) %{_defaultdocdir}/amtu/AMTUHowTo.txt

%changelog
* Fri Mar 02 2007 - ro@suse.de
- fix buildreq
* Tue Feb 27 2007 - draht@suse.de
- port from sles9 tree to sle10-sp for SP1, initial package in
  CODE10
- version upgrade to 1.0.4; featuring audit (LAF) support for
  compliance with CAPP
* Mon Sep 06 2004 - thomas@suse.de
- added laus, laus-devel to needforbuild
* Thu Aug 26 2004 - thomas@suse.de
- added patch to make memory separation testcase work on
  machines with kernel f_pos race fix. it is needed due to
  new permissions on /proc/self/maps.
* Fri Aug 20 2004 - thomas@suse.de
- created initial package for EAL4 evaluation of SLES9
